<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.2.xsd
								http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.2.xsd">
	<!-- Oracle -->
	<!-- <bean id="dataSource" class="org.springframework.jdbc.datasource.DriverManagerDataSource">
		<property name="driverClassName" value="${Global.datasource.driverClassName}" />
		<property name="url" value="${Global.datasource.url}" />
		<property name="username" value="${Global.datasource.username}" />
		<property name="password" value="${Global.datasource.password}" />
	</bean> --> 
	<bean id="dataSource" class="org.apache.commons.dbcp.BasicDataSource"	destroy-method="close">
		<property name="driverClassName" value="${Global.datasource.driverClassName}" />
		<property name="url" value="${Global.datasource.url}" />
		<property name="username" value="${Global.datasource.username}" />
		<property name="password" value="${Global.datasource.password}" />
	</bean> 
	
	<!-- Oracle -->
	<!-- <bean id="dataSource" class="net.sf.log4jdbc.Log4jdbcProxyDataSource">
        <constructor-arg ref="dataSource2" />
        <property name="logFormatter">
            <bean class="net.sf.log4jdbc.tools.Log4JdbcCustomFormatter">
                <property name="loggingType" value="MULTI_LINE" />
                <property name="sqlPrefix" value="SQL         :  "/>
            </bean>
        </property> 
 </bean>-->
 

</beans>
